\chapter{Series and Sequences or The Infinite Roads}
\label{ch:Series and Sequences}
Despite being much less popular than \cite{Television_Show_Wikipedia}, \cite{Series_Wikipedia} series are such an important part of calculus, \hyperref[ch:Number Theory]{number theory}, \hyperref[ch:Combinatorics]{combinatorics} $\ldots$ that play a fundamental part in almost every mathematical theory. Formally a series is defined as the sum of the elements of a sequence; e.g
$$
\begin{aligned}
&s = {1,1,1,1 \ldots} \text{ is a sequence}\\
&s_n = 1 \text{ is the } n- \text{th term of } s
\end{aligned}
$$
and
$$
\begin{aligned}
&\mathcal{S}_k = \sum \limits_{i=1} ^k s_i \text{ is a series, the sum of the terms of } s \text{ up to } k\\
&\mathcal{S}_1 = 1, \mathcal{S}_2 = 1 + 1 = 2, \mathcal{S}_3 = 1 + 1+ 1 = 3 \ldots
\end{aligned}
$$

\section{Weird-behavior sequence}
\label{sec:Weird-behaviour sequence}
Once upon a time the author of the pages you are reading run into a boring moment and decided to find something strange and weird to have fun with. He invented a recursive sequence, with apparently no \hyperref[sec:A note on notations (cit.)]{closed-form} formula:
$$a_n = a_{n-1} - \frac{1}{a_{n-1}}$$
$$a_0 \neq 0$$
Until 18:23$_{PM}$ of 15/08/2015 no explicit or closed-formula has been found for $a_n$ given $a_0$, but only very strange plots.

\section{Riemann series}
\label{sec:Riemann series}
Once defined \cite{Riemann_Zeta_Function} as
$$\begin{cases}
\zeta : (1, +\infty) \implies \mathbb{R}\\
\zeta = \sum \limits_{n=1} ^ {+\infty} \frac{1}{n^k}
\end{cases}$$
the reader may find it surprising to find out that a great deal of awesome identities come out on the white paper, under the astonished eyes of the reader.\\
Among these beautiful facts, the author is pleased to point out some exceptional ones, such as
$$\boxed {\zeta(2) = \sum \limits_{n=1} ^ {+\infty} \frac{1}{n^2} = \frac{\pi ^ 2}{6}}$$
$$\boxed {\zeta(4) = \sum \limits_{n=1} ^ {+\infty} \frac{1}{n^4} = \frac{\pi ^ 4}{90}}$$
$$\boxed {\zeta(6) = \sum \limits_{n=1} ^ {+\infty} \frac{1}{n^6} = \frac{\pi ^ 6}{945}}$$
The brave reader may have fun with proving these identities by getting some \cite{Riemann_Zeta_Function_Zeta_From_Wolfram_Mathworld}.
\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/series-sequences/img/zeta.png}
\caption{Riemann series in $\mathbb{C}$ plane}
\end{figure}
Some interesting fact follow from these definitions
$$\sum\limits_{k=2}^{+\infty} \zeta(k) - 1 = 1$$
$$\sum\limits_{k=2}^{+\infty} \zeta(2k) - 1 = \frac{3}{4}$$

\section{Solomon W. Golomb self-describing sequence}
\label{sec:Solomon W. Golomb self-describing sequence}
$$\begin{array}{c|c}
n & f(n)\\
\hline
1 & 1\\
2 & 2\\
3 & 2\\
4 & 3\\
5 & 3\\
6 & 4\\
7 & 4\\
8 & 4\\
9 & 5\\
10 & 5\\
11 & 5\\
12 & 6\\
\ldots & \ldots
\end{array}$$
Have you found the pattern?
$\forall k \in \mathbb{N}, \exists$ exactly $f(k) \text{ } k \in \{f(k)\}$
The reader may excuse the author for the too-much mathematical language in the sentence above. For example, let's pick the number $4$: there are exactly $f(4) = 3 \text{ } 4s$ in the set of the sequence.

\section{Triple-product sequence}
\label{sec:Triple-product sequence}
The author may be pleased to see the face of the readers when they discover that beautiful identity (apparently) involving sequences:
$$
\begin{aligned}
&\sum\limits_{j=1} ^m \frac{j}{(2j-1)\cdot (2j+1)\cdot (2j+3)}\\
&=\frac{1}{1 \cdot 3\cdot 5} + \frac{2}{3 \cdot 5\cdot 7} + \frac{3}{5 \cdot 7\cdot 9} + \ldots + \frac{m}{(2m-1) \cdot (2m+1)\cdot (2m+3)}\\
&=\frac{m\cdot (m+1)}{2\cdot(4m^2+8m+3)}
\end{aligned}
$$

\section{Bessel's identity}
\label{sec:Bessel's identity}
As the readers go on, they may run into something difficult and apparently going beyond human limits of understanding. In fact, for non-trained readers, it might appear of non-solution some identities like \cite{Bessel}:
$$\boxed{\sum\limits_{k\ge0} \frac{z^k}{(k!)^2} = 1 + z + \frac{z^2}{2!} + \frac{z^3}{3!} + \ldots}$$

\section{Cosine integrals}
\label{sec:Cosine integrals}
Noticing something unusual while expanding $\int \cos(x) \diff x, \int \cos(x)^2 \diff x, \int \cos(x)^3 \diff x \ldots$ ?\\
The careful reader \textbf{must} have noticed a little pattern among all these integrals..\\
let $\mathcal{I}(n) = \int \cos(x)^n \diff x, \forall n \in \mathbb{N} ^+$, then
$$\boxed{\mathcal{I}(n) = \frac{\cos(x) ^ n \cdot \sin(x)}{n} + \frac{n-1}{n} \cdot \mathcal{I}(n-2)}$$

\section{Logarithmic way}
\label{sec:Logarithmic way}
Easy to prove by induction, but hard to conceive: a formula involving ceiling, sums and logarithms..
$$\boxed{\sum \limits_{k=2} ^n \lceil \lg(x) \rceil = n\cdot (\lfloor(\lg(n) \rfloor)+1) - 2^{\lfloor(\lg(n) \rfloor)+1}}$$

\section{Limit of recursive sequence}
\label{sec:Limit of recursive sequence}
Let
$$\begin{cases}
x_1 > 0\\
x_{n+1}=\frac{x_1+2x_2+3x_3+\ldots+nx_n}{n}.
\end{cases}$$
and find $\lim_{n \to \infty} x_n$.\\
\begin{solution}
Note that
$$
\begin{aligned}
n\cdot x_{n+1}&=x_1+2x_2+\ldots+(n-1)x_{n-1}+nx_{n}\\
&=(n-1)x_{n}+nx_{n}\\
&=(2n-1)x_{n}
\end{aligned}
$$
Then
$$
\begin{aligned}
(n-1) \cdot x_n &= (2(n-1) -1) \cdot x_{n-1}\\
&= (2(n-1) -1) \cdot (2(n-2) - 1) \cdot x_{n-2} \ldots\\
&= \prod \limits_{k=1} ^ {n-1} (2(k-1) - 1) \cdot x_1\\
&\sim x_1 \cdot n^n\ \implies\\
\lim_{n \to \infty} x_n &= \lim_{n \to \infty} x_1 \cdot n^n\\
&= x_1 \cdot \lim_{n \to \infty} n^n\\
&= x_1 \cdot (+\infty)\\
&= +\infty
\end{aligned}
$$
\end{solution}

\section{Harmonic table}
\label{sec:Harmonic table}
Build a table such that, the element in column $j$ and row $i$ equals $\mathcal{A}_{ij} = \frac{1}{i+j-1}$
$$\begin{array}{c|ccccc}
i \backslash j & 1 & 2 & 3 & \ldots & n \\
\hline
1 & 1 & \frac{1}{2} & \frac{1}{3} & \ldots & \frac{1}{n}\\
2 & \frac{1}{2}& \frac{1}{3} & \frac{1}{4} & \ldots & \frac{1}{n+1}\\
3 & \frac{1}{3}& \frac{1}{4} & \frac{1}{5} & \ldots & \frac{1}{n+2}\\
\ldots & \ldots & \ldots & \ldots & \ldots & \ldots\\
n & \frac{1}{n}& \frac{1}{n+1} & \frac{1}{n+2} & \ldots & \frac{1}{2n-1}
\end{array}$$
Now let's work out the sum of all elements in the matrix
$$
\begin{aligned}
&\text{Sum of all elements} = \text{Sum of all elements in all columns}\\
&=\text{Sum of elements in first + second + third } \ldots n-\text{th column}\\
&=\sum \limits_{j=1} ^n \sum\limits_{i=1} ^n \mathcal{A}_{ij} =\sum \limits_{j=1} ^n \mathcal{H}_{n+j-1} - \mathcal{H}_{j-1}\\
&=\mathcal{H}_{n} + \mathcal{H}_{n+1} - \mathcal{H}_{1} + \mathcal{H}_{n+2} - \mathcal{H}_{2} + \ldots + \mathcal{H}_{2n-1} - \mathcal{H}_{n-1}\\
&=2n (\mathcal{H}_{2n-1} - \mathcal{H}_{n}) + 1\\
&=2n (\ln(2n-1) +\gamma + \frac{1}{2(2n-1)} - \ln(n) - \gamma - \frac{1}{2n}) + 1\\
&\approx 2n \left( \ln(2n) - \ln(n) + \frac{2n - 2(2n-1)}{4n(2n-1)} \right) + 1\\
&\approx 2n \left( \ln(2) + \ln(n) - \ln(n) - \frac{2(n-1)}{4n(2n-1)} \right) + 1\\
&\approx 2n \left( \ln(2) - \frac{1}{2n-1} \right) + 1 \approx 2n \cdot \ln(2) - \frac{2n}{2n-1} + 1 \approx n \cdot \ln(4) - 1 + 1\\
&\approx n \cdot \ln(4)
\end{aligned}
$$
which is pretty close: let $n=3$ and the error is just 12\%.

\section{Cubic sum}
\label{sec:cubic sum}
$$\sum_{k=0}^{\infty} k^2 x^k, 0 < |x| < 1$$
Let $x = \frac{1}{n}$ with $|n| > 1$, then
$$
\begin{aligned}
\sum_{k=0}^{\infty} (k + 1)^2 x^{k + 1} &= \sum_{k=0}^{\infty} k^2 x^{k} = S\\
&= \sum_{k=0}^{\infty} \frac{(k + 1)^2}{n^{k + 1}}\\
&= \sum_{k=0}^{\infty} \frac{k^2 + 2k + 1}{n^{k + 1}}\\
&= \sum_{k=0}^{\infty} \left( \frac{k^2}{n^{k + 1}} + \frac{2k}{n^{k + 1}} + \frac{1}{n^{k + 1}} \right)\\
&= \sum_{k=0}^{\infty} \left( \frac{k^2}{n^{k + 1}} + \frac{2k}{n^{k + 1}} + \frac{1}{n^{k + 1}} \right)\\
&= \frac{1}{n} \sum_{k=0}^{\infty} \frac{k^2}{n^{k }} + \frac{1}{n} \sum_{k=0}^{\infty} \frac{2k}{n^{k}} + \frac{1}{n} \sum_{k=0}^{\infty}  \frac{1}{n^{k}}\\
&= x \sum_{k=0}^{\infty} k^2 x^{k } + x \sum_{k=0}^{\infty} 2k x^{k} + x \sum_{k=0}^{\infty}  x^{k}\\
&= x S + 2x \sum_{k=0}^{\infty} k x^{k} + x \sum_{k=0}^{\infty}  x^{k}\\
&= x S + 2x \frac{x}{1-x^2} + x \frac{1}{1-x}\\
&= x S + \frac{x}{1-x} \left( \frac{2x}{1-x} + 1\right)\\
&= x S + \frac{x (1 + x)}{(1-x)^2}\\
&\rightarrow S(1-x) = \frac{x (1 + x)}{(1-x)^2}\\
&\rightarrow S = \frac{x (1 + x)}{(1-x)^3}\\
&\rightarrow \sum_{k=0}^{\infty} k^2 x^k = \frac{x (1 + x)}{(1-x)^3}\\
\end{aligned}
$$

\section{Exponential sums}
\label{exponential-sums}
Exponential sums are a specialized area of math that studies series with terms that are complex exponentials. Estimating such sums is delicate work. And also unpredictable. Here are some examples.

\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/series-sequences/img/expsum01.png}
\caption{$f(n) = \frac{n}{10} + \frac{n^2}{7} + \frac{n^3}{17}$}
\end{figure}

\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/series-sequences/img/expsum02.png}
\caption{$f(n) = \log(n)^{4.1}$}
\end{figure}

\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/series-sequences/img/expsum03.png}
\caption{$f(n) = \log(n) + \frac{n^2}{100}$}
\end{figure}

\section{Rounds}
\label{rounds}
Pick a large number $n$. Divide $n$ by each of the positive integers up to $n$ and round the result up to the nearest integer. On average, how far do you round up? That is, what is
$$\lim_{n \to \infty} \frac{1}{n} \sum_{r = 1} ^{n} \left( \ceil*{\frac{n}{r}} - \frac{n}{r} \right)$$
While we can easily draw a chart

\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/series-sequences/img/poussin_graph.png}
\caption{$\frac{1}{n} \sum_{r = 1} ^{n} \left( \ceil*{\frac{n}{r}} - \frac{n}{r} \right)$ up to $n = 100$}
\end{figure}

in 1898 Charles de la Vallée Poussin proved that the limiting value is the Euler-Mascheroni constant ($\gamma = 0.5772\ldots$).

\section{Mill's constant}
\label{sec:mill_constant}
Find an integer $A$ such that
\begin{itemize}
	\item $\lfloor A^{3^1} \rfloor$ is a prime
	\item $\lfloor A^{3^2} \rfloor$ is a prime
	\item $\lfloor A^{3^3} \rfloor$ is a prime
	\item $\lfloor A^{3^4} \rfloor$ is a prime
	\item $\ldots$
	\item $\lfloor A^{3^n} \rfloor, \forall n \text{ natural number}$ is a prime
\end{itemize}
Find the smallest of such $A$. \textbf{If} the Riemann hypothesis is true, then such $A$, called Mills' constant, is $\approx 1.3063778838630806904686144926\ldots$.